.header-button-dashboard{
    float:left;
    text-align: center;
    a{
        text-decoration: none;
        display: block;
        height:$topbar-height;
        width:34px;
        cursor:pointer;
        &:hover{
            i.mdi{
                color:#fff !important;
            }
        }
    }
    i.mdi{
        color:rgba(255,255,255,.7);
        font-size:1.75em;
        line-height: 44px;
    }
}

$header-menu-item-margin:(($topbar-height - 38) * 0.5);

.header-menu{
    width:282px;
    z-index: 1;
    padding:$header-menu-item-margin 15px 0 0;
}

.header-menu-item{
    width: 24px;
    height: 22px;
    display: block;
    float: right;
    padding: 7px 7px;
    border: 1px solid transparent;
    position: relative;
    > button{
        background:none;
        vertical-align: middle;
        &:active,&:focus{
            border:none;
            outline:none;
        }
    }
    &.header-menu-item-toggle{
        width:26px;
        &:after{
            font-family: FontAwesome !important;
            content: "\f0d7";
            font-size:.7em;
            display: inline-block;
            right:0;
            position: absolute;
            top:50%;
            margin-top:-10px;
            color:#fff;
            @include opacity(.7);
        }
    }
    .popup-menu .popup-menu-item-button{
        padding-left:15px !important;
    }
    .popup-menu{
        top:40px !important;
        border-top:none;
        right:-5px !important;
        &:after{
            bottom: 100%;
            right: 17px;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            border-color: rgba(255, 255, 255, 0);
            border-bottom-color: #fff;
            border-width: 8px;
            margin-left: -10px;
        }
    }
    &.zs-popup-menu-open .mdi{
        @include opacity(1);
        &:hover{
            @include opacity(1);
        }
    }
    a{
        text-decoration: none;
    }
    .mdi{
        font-size:1.6em;
        color:#fff;
        opacity:.7;
        &:hover{
            opacity:1;
            color:#fff;
        }
    }
}

.header-menu-item-icon{
    background: url(/images/icons-header.png) no-repeat 0 0;
    width: 24px;
    height: 22px;
    &.icon-font-awesome{
        font-size:1.55em;
        display: inline-block;
        color:#fff;
        text-decoration: none;
        border:none;
        vertical-align: text-top;
        margin-top:-1px;
        @include opacity(.5);
        width:24px;
        text-align: center;
        @include text-shadow(1px 1px #000);
        &:hover{
            @include opacity(.7);
        }
    }
}



.header-call{
    text-align: center; 
    .header-call-icon{
        font-size:18px;
        color:white;
        @include opacity(.7);
    }
    .header-call-icon:before{
        content: "c";
    }
    .header-call-icon:hover:before,
    .header-call-icon-active:before{
        content: "a";
    }
    .header-call-icon:hover, .header-call-icon-active{
        font-size:19px;
        position:relative;
        color:$secondary-color;
        @include opacity(1);
    }
    .header-call-icon-active:hover:before{
        content: "g";
    }
    .header-call-icon-active:hover{
        color:red;
    }
}

.header-user{
    .header-menu-item-icon{
        background-position: -24px 0;
        &:hover{
            background-position: -48px 0;
            opacity:.7;
        }
    }
    &.zs-popup-menu-open .header-menu-item-icon{
        opacity: 1;
        background-position: -48px 0;
    }
}

.header-beheer{
    .icon-font-awesome{
        font-size:1.75em;
    }
}

.header-messages{
    .header-menu-item-icon {
        background-position: -72px 0;
        &:hover{
            background-position: -96px 0;
            opacity:.7;
        }
    }
    &.zs-popup-menu-open .header-menu-item-icon {
        background-position: -96px 0;
        &:hover{background-position: -96px 0;opacity:1;}
    }
}

.header-menu-item.dropped:hover,
.hover .header-menu-item.dropped{
    background: none;
    box-shadow: none;
    border: 1px solid transparent;
}

.header-menu-item.header-labs{
    text-align: center;
    &.header-labs-active{
        i{
            color:$secondary-color;
            @include opacity(1);
        }
    }
}

// flyout menu

// .flyout-menu{
//     position: fixed;
//     z-index: 2999;
//     top: 49px;
//     right: 10px;
// }

// .flyout-menu-inner{
//     background: #fff;
//     border: 1px solid rgba(0,0,0,0.35);
//     box-shadow: 1px 1px 7px rgba(0,0,0,0.3);
//     color: #333;
// }

// .no-rgba .flyout-menu-inner{
//     border: 1px solid #aaa;
//     margin-right: -1px;
//     border-bottom-color: #999;
// }

// .flyout-menu-nub{
//     width: 21px;
//     height: 10px;
//     position: absolute;
//     top: -7px;
//     right: 10px;
//     background: url(/images/icons-header.png) no-repeat -1px -28px;
// }

// .flyout-menu-title{
//     font-weight: bold;
//     border-bottom: 1px solid #bbb;
//     padding: 5px 10px;
// }

// user menu

.user-menu{
    width: 152px;   
    .user-menu-inner{
        width: 150px;
    }
    a{
        font-size: 11px;
        color: #777;
        padding: 5px 7px 5px 29px;
        border-bottom: 1px solid #ddd;
        display: block;
        text-decoration: none;
        position: relative;
        font-weight: bold;
        &:hover{
            background: #f5f5f5;
        }
        &.user-menu-item-user{
            border-radius: 2px 0 0 0;
        }
        &.user-menu-item-logout{
            border-radius: 0 0 2px 2px;
            span{
                background-position: -11px 0;
            }
        }
        &.user-menu-item-last{
            border-bottom: none;
        }
        span{
            position: absolute;
            width: 11px;
            height: 11px;
            left: 9px;
            top: 50%;
            margin-top: -5.5px;
            background: url(/images/icons-user-menu.png) 0 0;
        }
        &.user-menu-item-last{
            border-bottom: none;
        }
        &.user-menu-item-logout span{
            background-position: -11px 0;
        }
    }
}

.ie8 .user-menu{
    width: 151px;
}

.ie7 .user-menu a{
    height: 20px;
    line-height: 22px;
}

// messages

.counter{
    position: absolute;
    top: 0px;
    right: 0px;
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 11px;
    background: #de1b1b;
    color: #fff;
    font-size: 12px;
    font-style: normal;
    text-align: center;
    font-weight: 600;
    z-index: 1;
    line-height: 18px;
    //box-shadow: 1px 1px 1px rgba(0,0,0,0.3);
    text-indent: 0;
}

.header-menu-item .counter{
    right:-2px;
}

.counter.notification-count {
  top: 0px;
  right: 0px;
}

.counter-wrap{
    text-decoration:none;
}

.counter-in-results{
    position:static;
    margin:0 auto;
}

.zs-popup-menu-open .notification-list-wrapper {
    &:before{
        top: 24px;
        right: 12px;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
        border-color: rgba(255, 255, 255, 0);
        border-bottom-color: #fff;
        border-width: 8px;
        margin-left: -10px;
        z-index:1;
    }
}

.ie8 .zs-popup-menu-open .notification-list-wrapper:before{
    top:39px;
    z-index:100;
}

// .notification-list {
//     width: 430px;
//     max-height: 300px;
//     overflow-y: auto;
//     border: 1px solid #bbb !important;
//     border-top:none !important;
//     color: #333;
//     top:40px !important;
//     .notification {
//         border-bottom: 1px solid #ccc !important;
//         border-bottom: 1px solid rgba(0,0,0,0.15) !important;
//         font-weight: normal;
//         padding:7px 10px;
//     }
//     .notification-meta{
//         font-size:11px;
//         color:#888;
//         color:rgba(0,0,0,0.4);
//     }
//     .notification-content{
//         span{
//             display: inline;
//         }
//         .notification-content-link {
//             font-weight: normal;
//         }
//     }
//     &.notification-list-labs{
//         width:180px;
//         padding:15px;
//         font-weight: normal;
//         text-align: left;
//         button{
//             font-size:1em;
//             text-align: left;
//             margin-top:10px;
//             display: block;
//         }
//     }
// }

// .notification-unread {
//     background-color: #ffffcc;
//     *{
//         font-weight: bold !important;
//     }
// }
